> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/enrollments.md).

# Enrollments

**public class** Enrollments extends **Object**

↳ com.onekosmos.blockid.sdk.license

Utility class that helps BlockID SDK to determine what all types of Biometric (Pin, Live ID, device's biometric) and Digital (Drivers License, Passport, etc.) assets are supported for tenant. The Biometric and Digital assets registration is determined based on license module.

### Method Summary

| Type                   | Name                       | Description                                                                                          |
| ---------------------- | -------------------------- | ---------------------------------------------------------------------------------------------------- |
| **BiometricAssets**    | getBiomentricAssets()      | Returns an instance of BiometricAssets class.                                                        |
| **DigitalAssets**      | getDigitalAssets()         | Returns an instance of DigitalAssets class.                                                          |
| **PersonalAssets**     | getPersonalAssets()        | Returns an instance of PersonalAssets class.                                                         |
| **static Enrollments** | getInstance()              | Returns an instance of Enrollments.                                                                  |
| **boolean**            | isBiometricAssetsEnabled() | Checks and returns if any of the Biometric assets (Pin, Live ID, device's biometrics) are enabled.   |
| **boolean**            | isDigitalAssetsEnabled()   | Checks and returns if any of the digital assets (driver's license, SSN, passport, etc.) are enabled. |
| **boolean**            | isPersonalAssetsEnabled()  | Checks and returns if any of the personal assets (email, phone) are enabled.                         |

### Method Detail

***

#### getBiomentricAssets

**public** BiometricAssets getBiomentricAssets()

* Returns an instance of BiometricAssets class.

***

#### getDigitalAssets

**public** DigitalAssets getDigitalAssets()

* Returns an instance of DigitalAssets class.

***

#### getPersonalAssets

**public** PersonalAssets getPersonalAssets()

* Returns an instance of PersonalAssets class.

***

#### getInstance

**public static** Enrollments getInstance()

* Returns an instance of Enrollments.

***

#### isBiometricAssetsEnabled

**public boolean** isBiometricAssetsEnabled()

* Checks and returns if any of the Biometric assets (Pin, Live ID, device's biometrics) are enabled.

***

#### isDigitalAssetsEnabled

**public boolean** isDigitalAssetsEnabled()

* Checks and returns if any of the digital assets (driver's license, passport, etc.) are enabled.

***

#### isPersonalAssetsEnabled

**public boolean** isPersonalAssetsEnabled()

* Checks and returns if any of the personal assets (email, phone) are enabled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/enrollments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
